librime: rime::TableAccessor Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | List of all members
rime::TableAccessor Class Reference

`#include <table.h>`

## Public Member Functions
| TableAccessor ()=default
| TableAccessor (const Code &index_code, const List< table::Entry > *entries, double credibility=0.0, double quality_len=0.0)
| TableAccessor (const Code &index_code, const Array< table::Entry > *entries, double credibility=0.0, double quality_len=0.0)
| TableAccessor (const Code &index_code, const table::TailIndex *code_map, double credibility=0.0, double quality_len=0.0)
RIME_DLL bool | Next ()
RIME_DLL bool | exhausted () const
RIME_DLL size_t | remaining () const
RIME_DLL const table::Entry * | entry () const
RIME_DLL const table::Code * | extra_code () const
const Code & | index_code () const
Code | code () const
double | credibility () const
double | quality_len () const

## Constructor & Destructor Documentation

## ◆ TableAccessor() [1/4]

rime::TableAccessor::TableAccessor | ( |  | ) |
| default

## ◆ TableAccessor() [2/4]

rime::TableAccessor::TableAccessor | ( | const Code & | index_code,
|  | const List< table::Entry > * | entries,
|  | double | credibility = 0.0,
|  | double | quality_len = 0.0 )

## ◆ TableAccessor() [3/4]

rime::TableAccessor::TableAccessor | ( | const Code & | index_code,
|  | const Array< table::Entry > * | entries,
|  | double | credibility = 0.0,
|  | double | quality_len = 0.0 )

## ◆ TableAccessor() [4/4]

rime::TableAccessor::TableAccessor | ( | const Code & | index_code,
|  | const table::TailIndex * | code_map,
|  | double | credibility = 0.0,
|  | double | quality_len = 0.0 )

## Member Function Documentation

## ◆ code()

Code rime::TableAccessor::code | ( |  | ) | const

## ◆ credibility()

double rime::TableAccessor::credibility | ( |  | ) | const
| inline

## ◆ entry()

const table::Entry * rime::TableAccessor::entry | ( |  | ) | const

## ◆ exhausted()

bool rime::TableAccessor::exhausted | ( |  | ) | const

## ◆ extra_code()

const table::Code * rime::TableAccessor::extra_code | ( |  | ) | const

## ◆ index_code()

const Code & rime::TableAccessor::index_code | ( |  | ) | const
| inline

## ◆ Next()

bool rime::TableAccessor::Next | ( |  | ) |

## ◆ quality_len()

double rime::TableAccessor::quality_len | ( |  | ) | const
| inline

## ◆ remaining()

size_t rime::TableAccessor::remaining | ( |  | ) | const

The documentation for this class was generated from the following files:

- table.h
- table.cc